summaryrefslogtreecommitdiffstats
path: root/graphics/wine-nine-standalone
diff options
context:
space:
mode:
author Hunter Sezen <orbea@riseup.net>2019-03-01 00:40:07 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-03-01 00:40:07 +0700
commit73f613d56a4ba5843d8a3dbfd00a778fca55385e (patch)
tree40f5b3e1927a083dbc48c481573ae3a8b4ab23d4 /graphics/wine-nine-standalone
parent59746faab0f2f4f97f8a2c553b66539607ce4e49 (diff)
downloadslackbuilds-73f613d56a4ba5843d8a3dbfd00a778fca55385e.tar.gz
slackbuilds-73f613d56a4ba5843d8a3dbfd00a778fca55385e.tar.xz
graphics/wine-nine-standalone: Added (Gallium Nine support).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics/wine-nine-standalone')
-rw-r--r--graphics/wine-nine-standalone/README16
-rw-r--r--graphics/wine-nine-standalone/slack-desc19
-rw-r--r--graphics/wine-nine-standalone/wine-nine-standalone.SlackBuild172
-rw-r--r--graphics/wine-nine-standalone/wine-nine-standalone.info10
4 files changed, 217 insertions, 0 deletions
diff --git a/graphics/wine-nine-standalone/README b/graphics/wine-nine-standalone/README
new file mode 100644
index 0000000000..fea72c3821
--- /dev/null
+++ b/graphics/wine-nine-standalone/README
@@ -0,0 +1,16 @@
+Gallium Nine allows to run any Direct3D 9 application with nearly no CPU
+overhead, which provides a smoother gaming experience and increased FPS.
+
+Gallium Nine Standalone, as the name implies, is a standalone version of
+the WINE parts of Gallium Nine.
+
+This decouples Gallium Nine from the WINE tree, so that it can be used
+with any WINE version. There is no need for any WINE patches. A stable,
+development, or staging WINE release is sufficient.
+
+wine-nine-standalone can only be used with gallium drivers provided by
+mesa, this includes nouveau, r600 and radeonsi users.
+
+To enable 64-bit support wine must be built with wine64 and disable win32.
+
+ WIN64=yes WIN32=no ./wine.SlackBuild
diff --git a/graphics/wine-nine-standalone/slack-desc b/graphics/wine-nine-standalone/slack-desc
new file mode 100644
index 0000000000..6f741ae3a0
--- /dev/null
+++ b/graphics/wine-nine-standalone/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wine-nine-standalone: wine-nine-standalone (Gallium Nine support for wine)
+wine-nine-standalone:
+wine-nine-standalone: Gallium Nine allows to run any Direct3D 9 application with nearly no
+wine-nine-standalone: CPU overhead, which provides a smoother gaming experience and
+wine-nine-standalone: increased FPS.
+wine-nine-standalone:
+wine-nine-standalone: Gallium Nine Standalone, as the name implies, is a standalone version
+wine-nine-standalone: of the WINE parts of Gallium Nine.
+wine-nine-standalone:
+wine-nine-standalone: Homepage: https://github.com/iXit/wine-nine-standalone
+wine-nine-standalone:
diff --git a/graphics/wine-nine-standalone/wine-nine-standalone.SlackBuild b/graphics/wine-nine-standalone/wine-nine-standalone.SlackBuild
new file mode 100644
index 0000000000..b2f07d3057
--- /dev/null
+++ b/graphics/wine-nine-standalone/wine-nine-standalone.SlackBuild
@@ -0,0 +1,172 @@
+#!/bin/sh
+
+# Slackware build script for wine-nine-standalone
+
+# Copyright 2019 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wine-nine-standalone
+VERSION=${VERSION:-0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+exists () {
+ v=1
+ while [ $# -gt 0 ]; do
+ arg="$1"; shift
+ case "$arg" in ''|*/) continue ;; esac
+ x="${arg##*/}" z="${arg%/*}"
+ [ ! -f "$z/$x" ] || [ ! -x "$z/$x" ] && [ "$z/$x" = "$arg" ] && continue
+ [ "$x" = "$z" ] && [ -x "$z/$x" ] && [ ! -f "$arg" ] && z=
+ p=":$z:$PATH"
+ while [ "$p" != "${p#*:}" ]; do
+ p="${p#*:}"; d="${p%%:*}"
+ if [ -f "$d/$x" ] && [ -x "$d/$x" ]; then
+ printf %s\\n "$d/$x"
+ v=0
+ break
+ fi
+ done
+ done
+ return $v
+}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if [ "${DEBUG:=0}" != 0 ]; then
+ RELEASE=debug
+ SLKCFLAGS="$(printf %s "$SLKCFLAGS" | sed 's/-O2/-O0/')"
+else
+ RELEASE=plain
+fi
+
+if [ "$ARCH" = x86_64 ]; then
+ if exists wine >/dev/null 2>&1 && exists wine64 >/dev/null 2>&1; then
+ arch='32 64'
+ elif exists wine >/dev/null 2>&1; then
+ arch=32
+ else
+ arch=64
+ fi
+else
+ arch=32
+fi
+
+eval "set -- $arch"
+for bin do
+ case "$bin" in
+ 32 )
+ libdir=
+ platform=i586-slackware-linux-gnu-pkg-config
+ wine=wine
+ ;;
+ 64 )
+ libdir=64
+ platform=x86_64-slackware-linux-gnu-pkg-config
+ wine=wine64
+ ;;
+ esac
+
+ sed "s/@PKG_CONFIG@/$platform/" \
+ < tools/cross-wine$bin.in \
+ > tools/cross-wine$bin
+
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson \
+ --prefix=/tmp \
+ --libdir=lib$bin \
+ --bindir=bin$bin \
+ --cross-file=tools/cross-wine$bin \
+ -Dstrip=false \
+ -Dbuildtype=$RELEASE \
+ build$bin
+
+ "${NINJA:=ninja}" -C build$bin
+ DESTDIR=. "$NINJA" -C build$bin install
+
+ mkdir -p $PKG/usr/lib$libdir/wine/fakedlls
+ cp ./build$bin/tmp/bin$bin/ninewinecfg.exe.so $PKG/usr/lib$libdir/wine/fakedlls/ninewinecfg.exe
+ cp ./build$bin/tmp/lib$bin/d3d9-nine.dll.so $PKG/usr/lib$libdir/wine/fakedlls/d3d9-nine.dll
+ chmod 0644 $PKG/usr/lib$libdir/wine/fakedlls/ninewinecfg.exe
+ chmod 0644 $PKG/usr/lib$libdir/wine/fakedlls/d3d9-nine.dll
+
+ mkdir -p $PKG/usr/bin
+ cat > $PKG/usr/bin/ninewinecfg$libdir <<EOF
+#!/bin/sh
+$wine /usr/lib$libdir/wine/fakedlls/ninewinecfg.exe
+EOF
+ chmod 0755 $PKG/usr/bin/ninewinecfg$libdir
+done
+
+if [ "$DEBUG" = 0 ]; then
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp LICENSE README.rst $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/wine-nine-standalone/wine-nine-standalone.info b/graphics/wine-nine-standalone/wine-nine-standalone.info
new file mode 100644
index 0000000000..01f0b0aaf7
--- /dev/null
+++ b/graphics/wine-nine-standalone/wine-nine-standalone.info
@@ -0,0 +1,10 @@
+PRGNAM="wine-nine-standalone"
+VERSION="0.3"
+HOMEPAGE="https://github.com/iXit/wine-nine-standalone"
+DOWNLOAD="https://github.com/iXit/wine-nine-standalone/archive/v0.3/wine-nine-standalone-0.3.tar.gz"
+MD5SUM="b076e066d8e2bb3381ad14a79e53652d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="meson wine"
+MAINTAINER="Hunter Sezen"
+EMAIL="orbea@riseup.net"